com.holonplatform.core.query

## Interface TemporalFunction<T>

- Type Parameters:
    `T` - Function result type
  All Superinterfaces:
    Expression, QueryExpression<T>, QueryFunction<T,Object>, QueryProjection<T>, TypedExpression<T>
  All Known Subinterfaces:
    TemporalFunction.CurrentDate, TemporalFunction.CurrentLocalDate, TemporalFunction.CurrentLocalDateTime, TemporalFunction.CurrentTimestamp, TemporalFunction.Day, TemporalFunction.Hour, TemporalFunction.Month, TemporalFunction.Year

      public interface TemporalFunction<T>
      extends QueryFunction<T,Object>

  Represents a temporal-related `QueryFunction`.
  Since:
    5.1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TemporalFunction.CurrentDate` A function to obtain the current date as a `Date`.
    `static interface` | `TemporalFunction.CurrentLocalDate` A function to obtain the current date as a `LocalDate`.
    `static interface` | `TemporalFunction.CurrentLocalDateTime` A function to obtain the current date and time as a `LocalDateTime`.
    `static interface` | `TemporalFunction.CurrentTimestamp` A function to obtain the current timestamp as a `Date`.
    `static interface` | `TemporalFunction.Day` A function to extract the day part of a temporal data type.
    `static interface` | `TemporalFunction.Hour` A function to extract the hour part of a temporal data type.
    `static interface` | `TemporalFunction.Month` A function to extract the month part of a temporal data type.
    `static interface` | `TemporalFunction.Year` A function to extract the year part of a temporal data type.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.NoArgQueryFunction<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, getExpressionArguments, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

Copyright © 2019 The Holon Platform. All rights reserved.